Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.

The project ID and API secret can be found in the Developer Panel.

Path Parameters

applicationID
string
required
Pattern: ^[1-9][0-9]*$

Body

application/json
name
string
required
Required string length: 1 - 100
clientType
enum<string>
required
Available options:
web,
app,
api
clientIdentifier
string
required

Package or bundle identifier for native applications; unused for web matching.

Maximum string length: 100
osName
enum<string>

Omit for native applications matching either OS. Must be omitted for web and API applications.

Available options:
android,
iOS
androidFingerprintsToAdd
string[]

Optional SHA-256 certificates to register atomically for this Android package. Existing registrations are retained.

Maximum array length: 20
Pattern: ^([A-Fa-f0-9]{2}:){31}[A-Fa-f0-9]{2}$

Response

Saved application

item
object
required